CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

自动跟踪工具提示属性 (ActiveX)

2023-1-3 21:58| 发布者: admin| 查看: 543| 评论: 0|来自: AutoCAD

摘要: 切换自动跟踪工具提示的显示。

切换自动跟踪工具提示的显示。

支持的平台:仅窗口

签名

工 务 局:

object.AutoTrackTooltip
对象

类型:首选项起草

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:显示自动跟踪工具提示。
  • False:不显示自动跟踪工具提示。

言论

此属性的初始值为。True

启用此属性后,只要光标位于对齐路径上,用户就会看到工具提示。禁用该属性时,不会显示工具提示。

注意:此属性的值存储在自动贴靠系统变量中。

例子

工 务 局:

Sub Example_AutoTrackToolTip()
    ' This example reads and modifies the preference value that controls
    ' the display of the AutoTrack tooltips.  When finished, this example resets the
    ' preference value back to its original value.
    
    Dim ACADPref As AcadPreferencesDrafting
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the drafting preferences object
    Set ACADPref = ThisDrawing.Application.preferences.Drafting
    
    ' Read and display the original value
    originalValue = ACADPref.AutoTrackTooltip
    MsgBox "The AutoTrackToolTip preference is set to: " & originalValue

    ' Modify the AutoTrackToolTip preference by toggling the value
    ACADPref.AutoTrackTooltip = Not (originalValue)
    newValue = ACADPref.AutoTrackTooltip
    MsgBox "The AutoTrackToolTip preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.AutoTrackTooltip = originalValue
    MsgBox "The AutoTrackToolTip preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_AutoTrackToolTip()
    ;; This example reads and modifies the preference value that controls
    ;; the display of the AutoTrack tooltips.  When finished, this example resets the
    ;; preference value back to its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
  
    ;; Get the drafting preferences object
    (setq ACADPref (vla-get-Drafting preferences))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-AutoTrackTooltip ACADPref))
    (alert (strcat "The AutoTrackToolTip preference is set to: " (if (= originalValue :vlax-true) "True" "False")))

    ;; Modify the AutoTrackToolTip preference by toggling the value
    (vla-put-AutoTrackTooltip ACADPref (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-AutoTrackTooltip ACADPref))
    (alert (strcat "The AutoTrackToolTip preference has been set to: " (if (= newValue :vlax-true) "True" "False")))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-AutoTrackTooltip ACADPref originalValue)
    (alert (strcat "The AutoTrackToolTip preference was reset back to: " (if (= originalValue :vlax-true) "True" "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 03:54

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部